﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using C1.WPF.RichTextBox;
using C1.WPF.RichTextBox.Documents;
using System.Reflection;

namespace WPF_RichTextBox_HdrFtrEveryPg
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            var stream = Application.GetResourceStream(new Uri("/" + new AssemblyName(Assembly.GetExecutingAssembly().FullName).Name + ";component/Mark Twain.rtf", UriKind.Relative)).Stream;
            var rtf = new StreamReader(stream).ReadToEnd();
            richTextBox.Document = new RtfFilter().ConvertToDocument(rtf);
            richTextBox.ViewMode = TextViewMode.Print;
        }
    }
}
